DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IODMultiframeDimensionModule::DimensionOrganizationItem Class Reference

Helper class representing an item within the Dimension Index Sequence, i.e. a single dimension description. More...

Inheritance diagram for IODMultiframeDimensionModule::DimensionOrganizationItem:

## Public Member Functions
| DimensionOrganizationItem (OFshared_ptr< DcmItem > data, OFshared_ptr< IODRules > rules, IODComponent *parent)
| Constructor.
| DimensionOrganizationItem (IODComponent *parent=NULL)
| Constructor.
virtual | ~DimensionOrganizationItem ()
| Destructor.
virtual OFString | getName () const
| Get name of module ("DimensionIndexPointerSequence")
virtual void | resetRules ()
| Resets rules of this module to their original values.
virtual OFCondition | getDimensionOrganizationUID (OFString &value, const signed long pos=0) const
| Get Dimension Organization UID.
virtual OFCondition | setDimensionOrganizationUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Dimension Organization UID.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Helper class representing an item within the Dimension Index Sequence, i.e. a single dimension description.

## Constructor & Destructor Documentation

## ◆ DimensionOrganizationItem() [1/2]

IODMultiframeDimensionModule::DimensionOrganizationItem::DimensionOrganizationItem | ( | OFshared_ptr< DcmItem > | data,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent )

Constructor.

Parameters

  data | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## ◆ DimensionOrganizationItem() [2/2]

IODMultiframeDimensionModule::DimensionOrganizationItem::DimensionOrganizationItem | ( | IODComponent * | parent = NULL | ) |

Constructor.

Parameters

  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## Member Function Documentation

## ◆ getDimensionOrganizationUID()

virtual OFCondition IODMultiframeDimensionModule::DimensionOrganizationItem::getDimensionOrganizationUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Dimension Organization UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODMultiframeDimensionModule::DimensionOrganizationItem::getName | ( |  | ) | const
| virtual

Get name of module ("DimensionIndexPointerSequence")

Returns
  Name of the module ("DimensionIndexPointerSequence")

Implements IODComponent.

## ◆ setDimensionOrganizationUID()

virtual OFCondition IODMultiframeDimensionModule::DimensionOrganizationItem::setDimensionOrganizationUID | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Dimension Organization UID.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modmultiframedimension.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2